/**
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package util;

import java.util.Vector;
import java.util.Hashtable;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import javax.microedition.rms.RecordStore;
import javax.microedition.rms.RecordStoreException;
//import javax.microedition.rms.RecordStoreNotOpenException;
//import javax.microedition.rms.InvalidRecordIDException;
import contents.GenericContents;

/**
 * Storage class 
 * @author Gabriele Bianchi 
 */
public class Datas {

   // stream connection parameters
   
   

	public static String address = "yourname@host.com";
    public static String pop3Host = "pop.host.com";
    public static String pop3User = "username";
    public static String password = "password";
    public static String smtpHost = "smtp.host.com";
    public static String localhost = "localhost";
    public static boolean smtpAuth = false;
    public static boolean debug = false;
    public static boolean imap = false;
    public static boolean ssl = false;
    public static int port = 110;
    public static GenericContents cont;
    
    public static boolean update = false;
	public static boolean connected = false;
    

   /**
    * initialization ..........
    */
    public static void load() {
        // init the variables from RMS...
    try {
		loadSetupData();
		cont = new GenericContents();
		
	}catch (Exception e){
		
	}
		return;
		
	}
	
	
    
   
   



    /**
     *Save user settings in persistent storage (RMS)
     *@author Gabriele Bianchi
     *@return boolean
     */

    static public void saveSetupData() throws RecordStoreException, IOException {
        try {
            RecordStore.deleteRecordStore("MMC");
        }
        catch (RecordStoreException e) {
        }

        RecordStore store = RecordStore.openRecordStore("MMC", true);

        try {
            ByteArrayOutputStream buffer = new ByteArrayOutputStream();
            DataOutputStream output = new DataOutputStream(buffer);

            output.writeUTF(address);
            output.writeUTF(localhost);
            output.writeUTF(pop3Host);
            output.writeUTF(pop3User);
            output.writeUTF(password);
            output.writeInt(port);
            output.writeUTF(smtpHost);
            output.writeBoolean(smtpAuth);
            
           
            output.writeBoolean(imap);
            output.writeBoolean(ssl);
            
         /*   output.write(address.getBytes());
						output.write(localhost.getBytes());
            output.write(pop3Host.getBytes());
            output.write(pop3User.getBytes());
            output.write(password.getBytes());
						output.write((new Integer(port)).byteValue());
						output.write(smtpHost.getBytes());
						output.write(String.valueOf(smtpAuth).getBytes());*/
						
            store.addRecord(buffer.toByteArray(), 0, buffer.size());
        }
        finally {
            store.closeRecordStore();
        }
    }

    /**
     * Restore the setup data from RMS.
     */
    static public void loadSetupData() throws RecordStoreException, IOException {
        try {
            RecordStore store = RecordStore.openRecordStore("MMC", false);

            try {
                ByteArrayInputStream buffer = new ByteArrayInputStream(store.getRecord(1));
                DataInputStream input = new DataInputStream(buffer);

                address  = input.readUTF();
                localhost = input.readUTF();
                pop3Host = input.readUTF();
                pop3User = input.readUTF();
                password = input.readUTF();
                port		= input.readInt();
                smtpHost = input.readUTF();
                smtpAuth = input.readBoolean();
               
                imap = input.readBoolean();
                ssl = input.readBoolean();
                
             /*   address = String.valueOf(input.read());
                localhost = String.valueOf(input.read());
                pop3Host = String.valueOf(input.read());
                pop3User = String.valueOf(input.read());
                password = String.valueOf(input.read());
                port		= new Integer().input.read());*/
            }
            finally {
                store.closeRecordStore();
            }
        }
        catch (Exception e) {
        }
    }
		
	

    
}

