/**
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
package util;

import contents.StartScreen;
import contents.GenericContents;
import mmc.StartMidlet;
import java.util.TimerTask;
import threads.InboxThread;


/**
 * Class fo mail polling. 
 * @author Gabriele Bianchi
 *
 */
public class PollingTask extends TimerTask
{

	private StartMidlet midlet;
	private InboxThread inbox;

	public PollingTask(StartMidlet _midlet)
	{
		midlet = _midlet;
		inbox = midlet.inboxThread;
	}

   /** 
	* Thread run method.
	* 
	*/
	public void run() {
		if (inbox == null)
		{
			midlet.inboxThread = new InboxThread(!Datas.imap, midlet);
			if (GenericContents.wait_form.size() == 0)
				GenericContents.wait_form.append(GenericContents.displayImage("wait"));
			midlet.display.setCurrent(GenericContents.wait_form);
			midlet.inboxThread.start();
		}
		else
		{
			Datas.update = true;
			System.out.println("Auto check mail..");
			midlet.display.setCurrent(midlet.getGuiInboxScreen());
		}

    }
}